Subject: Re: [ANNOUNCEMENT] Updated Cygwin Package: procmail-3.22-7
From: Jason Tishler <[email-masked]>
To: Jim George <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 29 Aug 2002 08:07:18 -0400

Jim,

Please keep you replies on-list.

On Wed, Aug 28, 2002 at 10:34:34PM +0100, Jim George wrote:
> thanks for that I managed to get both my users retrieving mail
> however.  I have a strange problem.
> 
> My new user is working perfectly, however my original user has stopped
> having mail delivered to the custom mail directory I have defined in
> procmail.
> 
> The following is the output of the fetchmail log (jg014a8950 is my
> original user)
> 
>     fetchmail: 1 message for jg014a8950 at pop3.blueyonder.co.uk (5303 octets).
>     fetchmail: reading message [email-masked]:1 of 1 (5303 octets) procmail:
>     Renaming bogus mailbox "/var/spool/mail/Administrator" info "/var/spool/mail/BOGUS.Administrator.em8"
>     fetchmail:  flushed
>     fetchmail: sleeping at Wed Aug 28 22:23:22 2002

The above indicates a permissions problem with your Administrator's
mailbox.  I have verified this by grep-ing and reading the procmail
code.

I have been able to (almost completely) reproduce your problem by
changing permissions from:

    -rw-------    1 root     mail        67538 Aug 29 06:55 root

to

    -rw-------    1 jt       mail        67538 Aug 29 06:55 root

This produces the following fetchmail log:

fetchmail: 1 message for jtishler at sa-bwmail1.esr.hp.com (folder Inbox/test).
fetchmail: reading message [email-masked]:1 of 1 (2457 header octets) fetchmail:  (6189 body octets) procmail: Renaming bogus mailbox "/var/spool/mail/root" info "/var/spool/mail/BOGUS.root.ZmiUGD"
procmail: Couldn't create "/var/spool/mail/root"

However, in my case mail was still being appended to root's mailbox and
the extra "Couldn't create" error message is generated.

Nevertheless, my suggestion is to check and fix the permissions of your
Administrator's mailbox.  Does this solve your problem?

> Reading the above I can see that it's actually procmail that is having
> problems so I've included the relevant part of my procmailrc file.
> 
> # Log Directory
> PMDIR=$HOME/Procmail
> 
> # Log file
> LOGFILE=/var/log/procmail.log
> 
> :0fw
> | /home/Administrator/bin/SpamAssassin/spamassassin -P -c
> /home/Administrator/bin/SpamAssassin/rules
> 
> INCLUDERC=$PMDIR/rc.lists
> INCLUDERC=$PMDIR/rc.mydefault
> 
> # logging level
> VERBOSE=yes
> 
> # Mail Directory
> MAILDIR=$HOME/Mail
> 
> Can you help?

See above.

> I use the same procmailrc for my new user and mail is being delivered
> to the correct directory.
> 
> Excuse me if I don't respond to any further help immediately but I
> will need to pick up mail via the web to see this.

BTW, how has SpamAssassin been working for you?

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/